# module RSS::SlashModel

### Constants

ELEMENT_INFOS

### Public Class Methods

append_features(klass) click to toggle source
Calls superclass method

    # File lib/rss/slash.rb, line 24
    def append_features(klass)
      super

      return if klass.instance_of?(Module)
      klass.install_must_call_validator(SLASH_PREFIX, SLASH_URI)
      ELEMENT_INFOS.each do |name, type, *additional_infos|
        full_name = "#{SLASH_PREFIX}_#{name}"
        klass.install_text_element(full_name, SLASH_URI, "?",
                                   full_name, type, name)
      end

      klass.module_eval do
        alias_method(:slash_hit_parades, :slash_hit_parade)
        undef_method(:slash_hit_parade)
        alias_method(:slash_hit_parade, :slash_hit_parade_content)
      end
    end